libqxp::Frame Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions

| Frame ()
| Frame (const Frame &other)=default
Frame & | operator= (const Frame &other)=default

## Public Attributes

double | width
boost::optional< Color > | color
boost::optional< Color > | gapColor
const LineStyle * | lineStyle
const Arrow * | startArrow
const Arrow * | endArrow

## Constructor & Destructor Documentation

## Frame() [1/2]

libqxp::Frame::Frame | ( |  | ) |

inline

Referenced by Frame(), and operator=().

## Frame() [2/2]

libqxp::Frame::Frame | ( | const Frame & | other | ) |

default

## Member Function Documentation

## operator=()

Frame & libqxp::Frame::operator= | ( | const Frame & | other | ) |

default

## Member Data Documentation

## color

boost::optional<Color> libqxp::Frame::color

Referenced by Frame(), libqxp::QXP33Parser::readFrame(), libqxp::QXP4Parser::readFrame(), and libqxp::QXPContentCollector::writeFrame().

## endArrow

const Arrow* libqxp::Frame::endArrow

Referenced by Frame(), libqxp::QXPParser::setArrow(), and libqxp::QXPContentCollector::writeFrame().

## gapColor

boost::optional<Color> libqxp::Frame::gapColor

Referenced by Frame(), and libqxp::QXP4Parser::readFrame().

## lineStyle

const LineStyle* libqxp::Frame::lineStyle

Referenced by Frame(), libqxp::QXP4Parser::readFrame(), and libqxp::QXPContentCollector::writeFrame().

## startArrow

const Arrow* libqxp::Frame::startArrow

Referenced by Frame(), libqxp::QXPParser::setArrow(), and libqxp::QXPContentCollector::writeFrame().

## width

double libqxp::Frame::width

Referenced by Frame(), libqxp::QXP33Parser::readFrame(), libqxp::QXP4Parser::readFrame(), and libqxp::QXPContentCollector::writeFrame().

The documentation for this struct was generated from the following file:

- QXPTypes.h